#include "SentrySettings.h"
#include "SentryBeforeSendHandler.h"

USentrySettings::USentrySettings()
{
	this->InitAutomatically = true;
	this->Dsn = TEXT("");
	this->Debug = true;
	this->EnableAutoCrashCapturing = true;
	this->Environment = TEXT("Release");
	this->SampleRate = 1.000000;
	this->EnableAutoLogAttachment = false;
	this->AttachStacktrace = true;
	this->SendDefaultPii = false;
	this->AttachScreenshot = false;
	this->MaxBreadcrumbs = 100;
	this->EnableAutoSessionTracking = true;
	this->SessionTimeout = 30000;
	this->OverrideReleaseName = false;
	this->Release = TEXT("");
	this->UseProxy = false;
	this->ProxyUrl = TEXT("");
	this->BeforeSendHandler = USentryBeforeSendHandler::StaticClass();
	this->EnableForPromotedBuildsOnly = false;
	this->UploadSymbolsAutomatically = false;
	this->ProjectName = TEXT("");
	this->OrgName = TEXT("");
	this->AuthToken = TEXT("");
	this->IncludeSources = false;
	this->CrashReporterUrl = TEXT("");
}
